Loading...
Searching...
No Matches
Working copy roots
Working copy management

## Functions

svn_error_t * | svn_wc_check_root (svn_boolean_t *is_wcroot, svn_boolean_t *is_switched, svn_node_kind_t *kind, svn_wc_context_t *wc_ctx, const char *local_abspath, apr_pool_t *scratch_pool)
| If is_wcroot is not `NULL`, set *is_wcroot to `TRUE` if local_abspath is the root of the working copy, otherwise to `FALSE`.
svn_error_t * | svn_wc_is_wc_root2 (svn_boolean_t *wc_root, svn_wc_context_t *wc_ctx, const char *local_abspath, apr_pool_t *scratch_pool)
| Set *wc_root to `TRUE` if local_abspath represents a "working copy root", `FALSE` otherwise. Here, local_abspath is a "working copy root" if its parent directory is not a WC or if it is switched.
svn_error_t * | svn_wc_is_wc_root (svn_boolean_t *wc_root, const char *path, svn_wc_adm_access_t *adm_access, apr_pool_t *pool)
| Similar to svn_wc_is_wc_root2(), but with an access baton and relative path.

## Detailed Description

## Function Documentation

## svn_wc_check_root()

svn_error_t * svn_wc_check_root | ( | svn_boolean_t * | is_wcroot,
|  | svn_boolean_t * | is_switched,
|  | svn_node_kind_t * | kind,
|  | svn_wc_context_t * | wc_ctx,
|  | const char * | local_abspath,
|  | apr_pool_t * | scratch_pool )

If is_wcroot is not `NULL`, set *is_wcroot to `TRUE` if local_abspath is the root of the working copy, otherwise to `FALSE`.

If is_switched is not `NULL`, set *is_switched to `TRUE` if local_abspath is not the root of the working copy, and switched against its parent.

If kind is not `NULL`, set *kind to the node kind of local_abspath.

Use scratch_pool for any temporary allocations.

Since
  New in 1.8.

References kind, and SVN_DEPRECATED.

## svn_wc_is_wc_root()

svn_error_t * svn_wc_is_wc_root | ( | svn_boolean_t * | wc_root,
|  | const char * | path,
|  | svn_wc_adm_access_t * | adm_access,
|  | apr_pool_t * | pool )

Similar to svn_wc_is_wc_root2(), but with an access baton and relative path.

Note
  If path is '', this function will always return `TRUE`.

Deprecated
  Provided for backward compatibility with the 1.6 API.

References path.

## svn_wc_is_wc_root2()

svn_error_t * svn_wc_is_wc_root2 | ( | svn_boolean_t * | wc_root,
|  | svn_wc_context_t * | wc_ctx,
|  | const char * | local_abspath,
|  | apr_pool_t * | scratch_pool )

Set *wc_root to `TRUE` if local_abspath represents a "working copy root", `FALSE` otherwise. Here, local_abspath is a "working copy root" if its parent directory is not a WC or if it is switched.

Also, a deleted tree-conflict victim is considered a "working copy root" because it has no URL.

If local_abspath is not found, return the error SVN_ERR_ENTRY_NOT_FOUND.

Use scratch_pool for any temporary allocations.

Note
  For legacy reasons only a directory can be a wc-root. However, this function will also set wc_root to `TRUE` for a switched file.

Since
  New in 1.7.

Deprecated
  Provided for backward compatibility with the 1.7 API. Consider using svn_wc_check_root() instead.

References SVN_DEPRECATED.